GIT-QNEXT(1)

NAME
git-qnext - identify the next available pushable patch

SYNOPSIS
git qnext [-v | --verbose] [-s | --summary]

DESCRIPTION
The git qnext command displays the identity of the next available patch which is both unapplied and unguarded, if any, in a Git-MQ patch series, following the topmost applied patch, (or the first available patch in the series, if none have been applied); this is the patch, if any, which will become topmost, following a “git qpush” operation with no arguments specified.

OPTIONS

-s, --summary
    Include the summary line from the patch header, if available.

-v, --verbose
    Include the patch sequence number, and the status flag, (which should always be ‘U’), as described for the git qseries command; also report any guarded patches which must be skipped, in order to reach the next pushable patch.

EXIT STATUS
On successful completion, git qnext reports an exit status code of 0, when an immediately pushable patch is identified, or of 1 if no pushable patches are available. Any other non-zero exit status code indicates that an error occurred.

COMPARISON WITH MERCURIAL QUEUES
Inspired by, and for the most part based on behavioural observation of Mercurial's MQ extension, the git qnext command exhibits fundamentally the same behaviour as its hg qnext counterpart.

AUTHOR
Copyright (C) 2019, by Keith Marshall

This man page was written by Keith Marshall <keith@users.osdn.me>, to accompany the Git-MQ program suite. It is published under the terms of the GNU Free Documentation Licence, version 1.3, (or any later version published by the Free Software Foundation), with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.

The Git-MQ program suite itself is distibruted under the terms of the GNU General Public Licence, version 3, (or any later version published by the Free Software Foundation).

Copies of the GNU Free Documentation Licence, and of the GNU General Public Licence, are included within the Git-MQ source distribution, in the files FDL-1.3, and LICENCE, respectively.

SEE ALSO
git-qprev(1), git-qpush(1), git-qseries(1), git-qtop(1)